<?php
// Action.php

/**
 *
 *
 * @author Matthew Lindberg
 */
class Action
{
	/**
	 * Executes an action.
	 *
	 * @param $context Context
	 * @access public
	 */
	function execute(& $context)
	{
		trigger_error(__ERROR."Action:perform() must over overridden in Action subclass.");
	}
	
}
?>